#!/bin/bash

set -e
set -x

if ! command -v az &>/dev/null; then
  echo "Install Azure cli   https://docs.microsoft.com/en-us/cli/azure/install-azure-cli-apt?view=azure-cli-latest "
  exit 1
fi

if ! command -v envtpl &>/dev/null; then
  echo "Install  envtpl using 'pip install envtpl' "
  exit 2
fi

export SCRIPT_PATH="$(
  cd -- "$(dirname "$0")" >/dev/null 2>&1
  pwd -P
)"
export DEPLOYMENT_NAME="conduit-ha-dev"
export RESOURCE_GROUP="${DEPLOYMENT_NAME}-resources"


if [[ -z "${DEPLOYMENT_NAME}" ]]; then
  echo "DEPLOYMENT_NAME variable not found"
fi

LOCATION=westus

VM_COUNT=3

for i in $(seq 1 ${VM_COUNT}); do

  az vm disk attach -g ${RESOURCE_GROUP} --vm-name "${DEPLOYMENT_NAME}-vm${i}"  --sku  StandardSSD_LRS --name "data-disk1-vm${i}" --new --size-gb 128

done


#DISK_NAME=$( lsblk -o NAME,HCTL,SIZE,MOUNTPOINT | grep -i "sd" | grep 128 | awk '{ print $1 }' )
#parted /dev/${DISK_NAME} --script mklabel gpt mkpart xfspart xfs 0% 100%
#mkfs.xfs /dev/${DISK_NAME}1
#mkdir /data_drive
#mount /dev/sdc1 /data_drive
# blkid | grep $DISK_NAME
# nano /etc/fstab
# UUID=42bc7b3f-9592-4d35-88b9-94cfc9c08bff       /data_drive     xfs     defaults,nofail 1       2
