[zookeeper_hosts]
{{ VM1_NAME }}.internal.cloudapp.net
{{ VM2_NAME }}.internal.cloudapp.net
{{ VM3_NAME }}.internal.cloudapp.net

[elasticsearch_hosts]
{{ VM1_NAME }}.internal.cloudapp.net
{{ VM2_NAME }}.internal.cloudapp.net
{{ VM3_NAME }}.internal.cloudapp.net

[hdfs_journal_hosts]
{{ VM1_NAME }}.internal.cloudapp.net
{{ VM2_NAME }}.internal.cloudapp.net
{{ VM3_NAME }}.internal.cloudapp.net

[bde_host]
{{ VM1_NAME }}.internal.cloudapp.net
{{ VM2_NAME }}.internal.cloudapp.net
{{ VM3_NAME }}.internal.cloudapp.net

[conduit-master]
# assign hdfs_initializer flag to the first host in the master group,
# docker-compose up will be executed sequentially due to throttle: 1
{{ VM1_NAME }}.internal.cloudapp.net hdfs_initializer=true
{{ VM2_NAME }}.internal.cloudapp.net


[conduit-worker]
{{ VM1_NAME }}.internal.cloudapp.net
{{ VM2_NAME }}.internal.cloudapp.net
{{ VM3_NAME }}.internal.cloudapp.net

[docker-hosts:children]
bde_host
zookeeper_hosts
elasticsearch_hosts
conduit-master
conduit-worker

[all:vars]
ansible_user=azureuser
ansible_python_interpreter=/usr/bin/python3
is_distributed_deployment=true
ha_mode=true
hostname_lookup=true
transformless=true

[conduit-worker:vars]
spark_local_dirs_mount=/data_drive/spark/workdir
hdfs_datanode_mount=/data_drive/hadoop/datanode

[conduit-master:vars]
spark_local_dirs_mount=/data_drive/spark/workdir
hdfs_namenode_mount=/data_drive/hadoop/namenode
hdfs_journal_mount=/data_drive/hadoop/journalnode