#!/usr/bin/env bash

export SCRIPT_PATH="$( cd -- "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"

source ${SCRIPT_PATH}/../../utils/functions.sh

load_gcloud_uninstall_parameters "$@"
source ${SCRIPT_PATH}/../../utils/functions.sh

load_gcloud_uninstall_parameters_input
source ${SCRIPT_PATH}/../../utils/functions.sh

set_gcloud_resources_names
source ${SCRIPT_PATH}/../../utils/functions.sh


#############################
# Validate input parameters #
#############################
echo "Validating parameters before deleting resources on Google Cloud Platform"
validate_gcloud_uninstall_parameters_are_defined
echo "Parameters validation successfully completed"

#
# Delete GCP resources
#
yes | gcloud compute forwarding-rules delete "${LB_FORWARD_RULE_HTTP}" --global --project "${GCP_PROJECT_ID}"
yes | gcloud compute forwarding-rules delete "${LB_FORWARD_RULE_HTTPS}" --global --project "${GCP_PROJECT_ID}"
yes | gcloud compute forwarding-rules delete "${LB_FORWARD_RULE_SSL}" --global --project "${GCP_PROJECT_ID}"
yes | gcloud compute target-https-proxies delete "${LB_TARGET_PROXY_HTTPS}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute target-http-proxies delete "${LB_TARGET_PROXY_HTTP}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute target-ssl-proxies delete "${LB_TARGET_PROXY_SSL}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute url-maps delete "${LB_URL_MAPS_HTTP}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute url-maps delete "${LB_URL_MAPS_HTTPS}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute backend-services delete "${LB_BACKEND_SERVICE}" --global --project "${GCP_PROJECT_ID}"
yes | gcloud compute backend-services delete "${LB_BACKEND_SERVICE_SSL}" --global --project "${GCP_PROJECT_ID}"
yes | gcloud compute health-checks delete "${LB_HEALTH_CHECK}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute health-checks delete "${LB_HEALTH_CHECK_SSL}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute addresses delete "${LB_IP}" --global --project "${GCP_PROJECT_ID}"
yes | gcloud compute firewall-rules delete "${VNET_FIREWALL_HEALTH_CHECK}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute firewall-rules delete "${VNET_FIREWALL_ALLOW_INTERNAL}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute firewall-rules delete "${VNET_FIREWALL_ALLOW_EXTERNAL}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute firewall-rules delete "${VNET_FIREWALL_ALLOW_SSH}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute instance-groups managed delete "${INSTANCE_VM}" --region="${DEPLOYMENT_REGION}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute instance-templates delete "${INSTANCE_TEMPLATE}" --project "${GCP_PROJECT_ID}"

yes | gcloud compute routers nats delete "${NAT}" --router="${ROUTER}" --router-region="${DEPLOYMENT_REGION}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute routers delete "${ROUTER}" --region="${DEPLOYMENT_REGION}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute addresses delete "${NAT_IP}" --region="${DEPLOYMENT_REGION}" --project "${GCP_PROJECT_ID}"

yes | gcloud compute addresses delete "${JUMPBOX_IP}" --region="${DEPLOYMENT_REGION}" --project "${GCP_PROJECT_ID}"

yes | gcloud compute networks subnets delete "${VNET_SUBNET}" --region="${DEPLOYMENT_REGION}" --project "${GCP_PROJECT_ID}"
yes | gcloud compute networks delete "${VNET}" --project "${GCP_PROJECT_ID}"
