#!/usr/bin/env bash

echo "Starting the installation process of Conduit"

SCRIPT_PATH="$( cd -- "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"

source ${SCRIPT_PATH}/utils/functions.sh

parse_generic_conduit_parameters "$@"
source ${SCRIPT_PATH}/utils/functions.sh

prompt_generic_install_parameters
source ${SCRIPT_PATH}/utils/functions.sh

if [ "$DEPLOYMENT_TYPE" = "gcp" ]; then
  echo "Initializing scripts to deploy Conduit on Google Cloud Platform"
  source $SCRIPT_PATH/gcloud/ha-infrastructure/install-on-gcp.sh "$@"
elif [ "$DEPLOYMENT_TYPE" = "azure" ]; then
  echo "Initializing scripts to deploy Conduit on Azure"
  source $SCRIPT_PATH/azure/ha-infrastructure/install-on-azure.sh "$@"
elif [ "$DEPLOYMENT_TYPE" = "on-premise" ]; then
    echo "Initializing scripts to deploy Conduit on-premise"
    echo "On-premise deployment not implemented yet ..."
else
    echo "Invalid deployment type. Expected one of [azure | gcp | on-premise]"
    echo "Exiting now"
    exit 1
fi



